#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int main() {
    vector<int> sol;
    int n, k, x;
    cin >> n >> k >> x;
    for (int i = 1; i<=k; i++)
        sol.push_back(i);
    sol.push_back(1e5);
    for (auto e : sol)
        cout << e << " ";
    return 0;
}